"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * 开发依赖
 */
exports.devDependencies = [
    'husky',
    'prettier',
    'ts-lib-tools',
    'typescript',
    'lint-staged',
];
/**
 * 依赖
 */
exports.dependencies = ['@babel/runtime', '@babel/polyfill'];
/**
 * react库开发依赖
 */
exports.devDependenciesForReact = [
    'react',
    'react-dom',
    '@types/react',
    '@types/react-dom',
    '@testing-library/react',
    '@testing-library/jest-dom',
    '@testing-library/react-hooks',
    'react-test-renderer',
];
/**
 * docz依赖
 */
exports.devDependenciesForDocz = [
    'docz',
    'docz-theme-default',
    'style-loader',
    'css-loader',
    'postcss-loader',
    'postcss-import',
    'postcss-preset-env',
    'webpack-docz-ghpages-plugin',
    'tsconfig-paths-webpack-plugin',
];
/**
 * github pages依赖
 */
exports.devDependenciesForGhpages = ['gh-pages'];
/**
 * monorepo需要的依赖
 */
exports.monorepoDevDependencies = ['lerna'];
//# sourceMappingURL=constants.js.map