"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
/* eslint-disable no-console */
const chalk_1 = tslib_1.__importDefault(require("chalk"));
exports.successMessage = (cmd, projectName) => {
    console.log(`  ${chalk_1.default.green('棒极了！')}你现在可以编码了。
        
    已经运行了${chalk_1.default.cyan(`${cmd} install`)}，接下来：
    ${chalk_1.default.cyan(`cd ${projectName}`)}

    开始开发（在变更时重新构建）：
    ${chalk_1.default.cyan(`yarn start`)}

    打包：
    ${chalk_1.default.cyan('yarn build')}

    测试：
    ${chalk_1.default.cyan('yarn test')}
  `);
};
exports.failureMessage = (cmds) => {
    console.error(`${'\n\n'}安装依赖失败，但是项目已经准备好，请打开项目，执行下面的命令行安装相关依赖：${'\n\n    '}${chalk_1.default.green(cmds.join('\n    '))}${'\n\n'}`);
};
exports.dependenciesMessage = (dependencies, devDependencies) => {
    return `安装依赖：${'\n    '}${chalk_1.default.bold.cyan(dependencies.join('\n    '))}${'\n  devDependencies:\n    '}${chalk_1.default.bold.cyan(devDependencies.join('    '))}`;
};
//# sourceMappingURL=messages.js.map